Google Colab : 运行DeepFaceLab出现OSError错误!

作者: 托尼 分类: AI,Cloud Server,DeepFakes 发布时间: 2019-06-06 12:19

Colab对于电脑配置不好,但是想要玩深度学习,玩视频换脸的人来说绝对是一个福音。但是要明白一点,免费的东西,不可持续,稳定性也没有保住。除了会掉线之外,很多小伙伴在使用的遇到了如下问题。

错误提示密密麻麻,对于既不懂Python有不懂Colab的人来说绝对是三脸懵逼。不过,不要怕,有我在^_^!  对于这个问题,只要关注最后一行。

最后一行提示的是OSError ,翻译一下大概就是系统不错,输入输出错误,言下之意就是aligned这个目录无法读取。究其原因,应该是GOOGLE云盘挂载的问题。

 

经过多次尝试和摸索发现,解决这个问题方法其实很简单。

  1. 多尝试几次
  2. 左侧文件列表,将提示有问题的文件夹展开,再运行就好了。

 

最后提个注意点,Colab确实是免费的,而且显卡配置也挺不错,性能等价于1070,显存还比1070高一倍。

但是,仅适合学习研究,用久了会掉,最后就基本用不了了。请大家合理使用!

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

打赏      
16条评论
  • coslook

    2019年8月3日 上午7:18

    你也不看看1070什么配置,Tesla 80s什么配置。升级版的16G显存。价格更是一个天一个地。

    1. 火爆浪子

      2020年9月30日 下午8:13

      你是在兇什麼啦? 你牛 怎不上來發教學? 只會在網路上蝦逼逼

  • wyp

    2019年8月19日 下午8:49

    请问OSError: [Errno 107] Transport endpoint is not connected怎么解决呢?

    ERROR:root:Internal Python error in the inspect module.
    Below is the traceback from this internal error.

    Mounted at /content/drive
    Traceback (most recent call last):
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/interactiveshell.py”, line 2882, in run_code
    exec(code_obj, self.user_global_ns, self.user_ns)
    File “”, line 6, in
    get_ipython().magic(‘cd /content/drive/My Drive/DeepFaceLab/’)
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/interactiveshell.py”, line 2160, in magic
    return self.run_line_magic(magic_name, magic_arg_s)
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/interactiveshell.py”, line 2081, in run_line_magic
    result = fn(*args,**kwargs)
    File “”, line 2, in cd
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/magic.py”, line 188, in
    call = lambda f, *a, **k: f(*a, **k)
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/magics/osm.py”, line 288, in cd
    oldcwd = py3compat.getcwd()
    OSError: [Errno 107] Transport endpoint is not connected

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/interactiveshell.py”, line 1823, in showtraceback
    stb = value._render_traceback_()
    AttributeError: ‘OSError’ object has no attribute ‘_render_traceback_’

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/ultratb.py”, line 1132, in get_records
    return _fixed_getinnerframes(etb, number_of_lines_of_context, tb_offset)
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/ultratb.py”, line 313, in wrapped
    return f(*args, **kwargs)
    File “/usr/local/lib/python3.6/dist-packages/IPython/core/ultratb.py”, line 358, in _fixed_getinnerframes
    records = fix_frame_records_filenames(inspect.getinnerframes(etb, context))
    File “/usr/lib/python3.6/inspect.py”, line 1490, in getinnerframes
    frameinfo = (tb.tb_frame,) + getframeinfo(tb, context)
    File “/usr/lib/python3.6/inspect.py”, line 1448, in getframeinfo
    filename = getsourcefile(frame) or getfile(frame)
    File “/usr/lib/python3.6/inspect.py”, line 696, in getsourcefile
    if getattr(getmodule(object, filename), ‘__loader__’, None) is not None:
    File “/usr/lib/python3.6/inspect.py”, line 725, in getmodule
    file = getabsfile(object, _filename)
    File “/usr/lib/python3.6/inspect.py”, line 709, in getabsfile
    return os.path.normcase(os.path.abspath(_filename))
    File “/usr/lib/python3.6/posixpath.py”, line 383, in abspath
    cwd = os.getcwd()
    OSError: [Errno 107] Transport endpoint is not connected

    进入目录都会有这个错误

    1. 托尼

      2019年8月30日 上午10:04

      左上角,菜单,重置!

  • 江小鱼

    2019年9月2日 下午10:50

    Traceback (most recent call last):
    File “main.py”, line 254, in
    arguments.func(arguments)
    File “main.py”, line 35, in process_extract
    ‘multi_gpu’ : arguments.multi_gpu,
    File “/content/drive/My Drive/DeepFaceLab/DeepFaceLab_Colab/mainscripts/Extractor.py”, line 806, in main
    raise ValueError(‘Input directory not found. Please ensure it exists.’)
    ValueError: Input directory not found. Please ensure it exists.
    切脸出现这个,怎么解决呀,谢谢

    1. 托尼

      2019年10月9日 上午9:26

      输入文件不存在,是不是你没有视频,或者名字不对哦!

      1. muckraker

        2020年2月26日 上午8:29

        我的也是这个问题,而且我也确保了视频名字正确且有视频,我只是替换成了自己想要的目标视频。怎么解决?

  • 不懂世

    2019年10月3日 下午12:59

    请问您最后说的“用久了会掉,最后就基本用不了了”是什么意思?是指Colab有使用次数的限制?
    还有之前您讲的Colab每12小时会刷新一次,请问这12小时是怎么计算的?是从当天第一次登录开始计算12个小时,还是Colab有一个固定12小时的时间段?
    希望能得到您的回复,谢谢您!

    1. 托尼

      2019年10月9日 上午9:24

      免费的肯定是会有一些限制, 12小时,从你第一次使用开始算啊,而且不一定是12小时,可能几个小时就会挂掉。 你不用太在意这个,断了就重新来一次。

  • 2019年11月20日 上午1:20

    如何创建目录 workspace.zip ?
    压缩脚本在哪里?
    谢谢你的回答。

  • 冈仁波齐

    2019年12月27日 上午10:23

    大神求助,转换图片那一步时出现No module named ‘keras_contrib’,怎么回事?挂载没问题,是要在安装一次依赖吗?

  • QQQ

    2019年12月30日 上午3:17

    想請問影片跑出來只有前幾秒.後面的畫面就卡住了怎麼辦
    修好的圖檔是全部都有的
    範例影片也都正常
    合上去的時候只合成315張圖(frame= 315

  • yyy

    2020年2月19日 上午11:18

    ValueError: Dimension 0 in both shapes must be equal, but are 1 and 3. Shapes are [1,1,64,3] and [3,64,5,5]. for ‘Assign_54’ (op: ‘Assign’) with input shapes: [1,1,64,3], [3,64,5,5].

  • 莓莓

    2020年2月27日 下午11:03

    补充一句
    上述错误也可能是因为云盘内没有指定的文件夹📁,去云盘里新建一个就好了。

  • 柳下惠

    2020年8月23日 上午9:17

    Error: cannot import name ‘array_ops’
    Traceback (most recent call last):
    File “/content/drive/My Drive/DATA/DeepFaceLab/DeepFaceLab_Colab/mainscripts/Trainer.py”, line 57, in trainerThread
    debug=debug,
    File “/content/drive/My Drive/DATA/DeepFaceLab/DeepFaceLab_Colab/models/ModelBase.py”, line 161, in __init__
    nn.initialize(self.device_config)
    File “/content/drive/My Drive/DATA/DeepFaceLab/DeepFaceLab_Colab/core/leras/nn.py”, line 88, in initialize
    import core.leras.ops
    File “/content/drive/My Drive/DATA/DeepFaceLab/DeepFaceLab_Colab/core/leras/ops/__init__.py”, line 4, in
    from tensorflow.python.ops import array_ops, random_ops, math_ops, sparse_ops, gradients
    ImportError: cannot import name ‘array_ops’

  • 2020年9月24日 下午8:03

    Error: cannot import name ‘keras_export’
    Traceback (most recent call last):
    File “/content/drive/My Drive/DeepFaceLab/DeepFaceLab_Colab/mainscripts/Trainer.py”, line 50, in trainerThread
    device_args=device_args)
    File “/content/drive/My Drive/DeepFaceLab/DeepFaceLab_Colab/models/ModelBase.py”, line 160, in __init__
    nnlib.import_all(self.device_config)
    File “/content/drive/My Drive/DeepFaceLab/DeepFaceLab_Colab/nnlib/nnlib.py”, line 1288, in import_all
    nnlib.import_keras(device_config)
    File “/content/drive/My Drive/DeepFaceLab/DeepFaceLab_Colab/nnlib/nnlib.py”, line 182, in import_keras
    nnlib._import_tf(device_config)
    File “/content/drive/My Drive/DeepFaceLab/DeepFaceLab_Colab/nnlib/nnlib.py”, line 154, in _import_tf
    import tensorflow as tf
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/__init__.py”, line 24, in
    from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/__init__.py”, line 82, in
    from tensorflow.python import keras
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/__init__.py”, line 24, in
    from tensorflow.python.keras import activations
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/activations.py”, line 24, in
    from tensorflow.python.keras.utils.generic_utils import deserialize_keras_object
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/utils/__init__.py”, line 38, in
    from tensorflow.python.keras.utils.multi_gpu_utils import multi_gpu_model
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/utils/multi_gpu_utils.py”, line 22, in
    from tensorflow.python.keras.engine.training import Model
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/engine/__init__.py”, line 23, in
    from tensorflow.python.keras.engine.base_layer import Layer
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/engine/base_layer.py”, line 36, in
    from tensorflow.python.keras import initializers
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/initializers/__init__.py”, line 25, in
    from tensorflow.python.keras.initializers import initializers_v1
    File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/initializers/initializers_v1.py”, line 23, in
    from tensorflow.python.util.tf_export import keras_export
    ImportError: cannot import name ‘keras_export’

    这个是什么情况 麻烦指教下

发表评论

邮箱地址不会被公开。 必填项已用*标注